Get health for a filtered group of proxies

Auth

Get the health status of a filtered group of proxies.

Path parameters

proxies_filtered_group_id string required

"The identifier for the filtered group of proxies

Query parameters

expect_status string

The expected status

Responses

Returns health information on a filtered group of proxies

application/json
group object required

A set of proxy filters with an expected number of matching proxies.

id string

Identifier of the filtered group of proxies

filters object[] required

Filters to be matched

key string required

Key of the proxy metadata item to be matched

value string required

Value of the proxy metadata item to be matched

expected_proxies_count integer · format: int32 required

Expected minimum number of proxies matching all filters in this group

observed_proxies_count integer · format: int32 required

The number of proxies that match all of the filters in the group

status string required

"Health status for this filtered group. One of "Green", "Yellow" or "Red"